<template>
    <div class="popup-container" :class="visible ? 'visible' : ''" @click.self="close()">
        <div class="popup">
            <p>Вы уверены, что хотите удалить эту запись?</p>
            <div class="buttons">
                <button class="btn btn-mini" @click="del">Да</button>
                <button class="btn btn-mini" @click="close">Отмена</button>
            </div>
        </div>
    </div>
</template>

<script>
    import {bus} from "../pages/index";

    export default {
        data: function() {
            return {
                visible: false,
                action: '',
                delId: '',
                parentId: ''
            }
        },
        created() {
            bus.$on('showDelPopup', data => {
                this.visible = data.val;
                this.action = data.action;
                this.delId = data.delId;
                this.parentId = data.parentId;
            });
        },
        methods: {
            /*закрываем попап*/
            close() {
                bus.$emit('showDelPopup', {val: false});
            },
            del() {
                switch (this.action) {
                    case 'delNote':
                        this.$store.commit('delNote', this.delId);
                        this.$router.push('/')
                        break;
                    case 'delTodo':
                        this.$store.commit('delTodo', {'parentId': this.parentId, 'delId': this.delId});
                        bus.$emit('refreshTodos', true);
                        break;
                }
                this.close();
            },
        }
    }
</script>
